Debian Bug report logs - #180236
a2ps is not unicode ready

version graph

Package: a2ps; Maintainer for a2ps is Masayuki Hatta (mhatta) <mhatta@debian.org>; Source for a2ps is src:a2ps.

Reported by: "Adrian 'Dagurashibanipal' von Bidder" <avbidder@fortytwo.ch>

Date: Sat, 8 Feb 2003 11:03:02 UTC

Severity: important

Merged with 254507, 389239, 505110

Found in versions 1:4.13b-2, 4.13b-16, a2ps/1:4.13b.dfsg.1-1, a2ps/1:4.14-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manfred Wassmann <manolo@NCC-1701.B.Shuttle.de>, a2ps@packages.qa.debian.org:
Bug#180236; Package a2ps. Full text and rfc822 format available.

Acknowledgement sent to "Adrian 'Dagurashibanipal' von Bidder" <avbidder@fortytwo.ch>:
New Bug report received and forwarded. Copy sent to Manfred Wassmann <manolo@NCC-1701.B.Shuttle.de>, a2ps@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adrian 'Dagurashibanipal' von Bidder" <avbidder@fortytwo.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: a2ps is not unicode ready
Date: Sat, 08 Feb 2003 11:49:27 +0100
Package: a2ps
Version: 4.13b-16
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

when printing a unicode document (nothing fancy, just some german
umlauts), a2ps apparently behaves as if the input were latin1 encoded -
all umlauts appear as combinations of 2 other funny characters.

LC_CTYPE=en_US.UTF-8 is set, of course. Example documents available -
just ask.

cheers
- -- vbi

- -- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux altfrangg 2.4.19 #1 SMP Wed Sep 25 19:59:59 CEST 2002 i686
Locale: LANG=de_CH, LC_CTYPE=en_US.UTF-8

Versions of packages a2ps depends on:
ii  debianutils                   1.16.7     Miscellaneous utilities specific t
ii  libc6                         2.3.1-10   GNU C Library: Shared libraries an
ii  libpaperg                     1.1.8      Library for handling paper charact
ii  psutils                       1.17-15    A collection of PostScript documen

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
Comment: get my key from http://fortytwo.ch/gpg/92082481

iKcEARECAGcFAj5E4LtgGmh0dHA6Ly9mb3J0eXR3by5jaC9sZWdhbC9ncGcvZW1h
aWwuMjAwMjA4MjI/dmVyc2lvbj0xLjMmbWQ1c3VtPTE0Y2E2MTZmMTQ2ODJhODJj
YjljYzI1YzliMzRhMTBkAAoJEIukMYvlp/fW3QIAoMM6E8QJWY7j3uUMTNojWuv6
A9lIAKC6oZYEEThU9LrtuMneZc53lYlWfA==
=8353
-----END PGP SIGNATURE-----



Merged 180236 254507. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#180236; Package a2ps. Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <jch@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #12 received at 180236@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <jch@pps.jussieu.fr>
To: 180236@bugs.debian.org, 180236-submitter@bugs.debian.org
Subject: Re: a2ps is not unicode ready
Date: 31 Dec 2004 17:31:52 +0100
... and probably will never be.

[Side note: I'm the author of the internationalisation code in a2ps.]

The assumption that a byte is a glyph runs pretty deep throughout
a2ps.  A2ps does a lot of stuff in PostScript (PS) code, and all of
that would need to be redesigned.

I think that rewriting a2ps from scratch would be easier than adapting
it for Unicode.  I've been experimenting with that, and you can find
the results as Cedilla on

  http://www.pps.jussieu.fr/~jch/software/cedilla/

Cedilla currently has way fewer features than a2ps.  Please let me
know which features of a2ps that you use are missing in Cedilla, and
I'll see if they can be implemented easily.

[Masayuki-san: would you be interested in packaging Cedilla for
Debian?  It compiles out-of-the box.]

                                        Juliusz Chroboczek



Message sent on to "Adrian 'Dagurashibanipal' von Bidder" <avbidder@fortytwo.ch>:
Bug#180236. Full text and rfc822 format available.

Information stored:
Bug#180236; Package a2ps. Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 180236-quiet@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: Juliusz Chroboczek <jch@pps.jussieu.fr>, mhatta@debian.org
Cc: 180236-quiet@bugs.debian.org
Subject: Re: Bug#180236: a2ps is not unicode ready
Date: Wed, 5 Jan 2005 16:44:32 +0100
[Message part 1 (text/plain, inline)]
On Friday 31 December 2004 17.31, Juliusz Chroboczek wrote:

> [Masayuki-san: would you be interested in packaging Cedilla for
> Debian?  It compiles out-of-the box.]

I certainly don't want to step on anyone's toes, but I'd offer to try to 
package it.

Disclaimer:

 - I'm currently in NM, waiting on the DAM.  It seems the NM queue is 
finally moving again, so I might not need a sponsor much longer.
 - my Debian load is quite small so far, just a few perl scripts.
 - I'd be interested in packaging a arch-any package for a change.
 - I don't know anything lisp nor about postscript, so I'd need to work 
together closely with you (Juliusz) when bugs are discovered.
 - I don't know anything about font handling in Debian, so again it'd 
certainly be a learning experience. (But obviously, since I'm speaking up, 
I'd be interested in learning.)

For these reasons, co-maintenance would probably be a good idea, too.

Disclaimer #2: I haven't looked at cedilla at all so far - I'm writing this 
in the assumption that it really is intended to do more or less the same as 
the other ascii-to-ps renderers that are out there, but in a better way.


greetings
-- vbi

[I've sent an ITP just now, btw, so please add further commentary there.]



-- 
Protect your privacy - encrypt your email: http://fortytwo.ch/gpg/intro
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#180236; Package a2ps. Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #25 received at 180236@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: 288769@bugs.debian.org, control@bugs.debian.org
Cc: Juliusz Chroboczek <jch@pps.jussieu.fr>, 180236@bugs.debian.org, debian-printing@lists.debian.org
Subject: cedilla - Debian packaging: bad news
Date: Thu, 11 Aug 2005 13:24:13 +0200
[Message part 1 (text/plain, inline)]
retitle 288769 RFP: cedilla -- ascii to postscript renderer
thanks

Hi,

Some of you might be aware that I intended to package cedilla, the 
Unicode-aware text renderer (and possible a2ps etc. replacement).  
Unfortunately, I don't see that I can spend the time to really know this 
package well enough to be able to package it - I'd have to learn at least 
enough about Lisp and the runtime framework to not embarass myself with 
trivial bugs on every update..., and frankly I don't care too much about 
Lisp.

I still feel that cedilla (or some other Unicode aware text renderer) is  
needed in Debian, so I'm really sorry to leave this.


greetings
-- vbi

-- 
The moon is made of green cheese.
		-- John Heywood
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#180236; Package a2ps. Full text and rfc822 format available.

Acknowledgement sent to "W. Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #30 received at 180236@bugs.debian.org (full text, mbox):

From: "W. Borgert" <debacle@debian.org>
To: 180236@bugs.debian.org, 229595@bugs.debian.org
Subject: unicode/utf-8 support desperately missing
Date: Mon, 17 Apr 2006 19:28:36 +0000
The problem becomes worse: Fortunately, with etch Debian becomes
UTF-8 by default, but neither a2ps nor enscript can handle it.
cedilla needs nearly 12 MB of CLisp plus 25 MB TeX stuff, which
makes it a little bit heavy-weight, but at least it works...




Merged 180236 254507 389239. Request was from Per Olofsson <pelle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 180236 254507 389239 505110. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 10 Nov 2008 12:03:02 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 12 May 2011 11:24:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:30:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.